com.microfocus.zserver.zexplorer.internal

## Class ZExplorerPropertyProvider

- java.lang.Object
- - com.microfocus.zserver.zexplorer.internal.ZExplorerPropertyProvider

- All Implemented Interfaces:
    IZExplorerPropertyProvider

      public class ZExplorerPropertyProvider
      extends java.lang.Object
      implements IZExplorerPropertyProvider

  Copyright Micro Focus GmbH.

  Author:
    NicolasP

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ZExplorerPropertyProvider(IZExplorerPropertyControlProvider pControlProvider, java.util.List<IZExplorerProperty> pProperties)` Basic constructor.
    `ZExplorerPropertyProvider(java.util.List<IZExplorerProperty> pProperties)` Basic constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IZExplorerPropertyControlProvider` | `getControlProvider()` A `IZExplorerPropertyControlProvider` can be registered to add `Control`s to the corresponding `IZExplorerProperty`s.
    `java.util.List<IZExplorerProperty>` | `getProperties()` Returns a list of `IZExplorerProperty`s.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ZExplorerPropertyProvider

          public ZExplorerPropertyProvider(java.util.List<IZExplorerProperty> pProperties)

      Basic constructor.
      Parameters:
        `pProperties` - a list a `IZExplorerProperty`s

    - #### ZExplorerPropertyProvider

          public ZExplorerPropertyProvider(IZExplorerPropertyControlProvider pControlProvider,
                                           java.util.List<IZExplorerProperty> pProperties)

      Basic constructor.
      Parameters:
        `pControlProvider` - the `IZExplorerPropertyControlProvider`
        `pProperties` - a list a `IZExplorerProperty`s

  - ### Method Detail

    - #### getControlProvider

          public IZExplorerPropertyControlProvider getControlProvider()

      Description copied from interface: `IZExplorerPropertyProvider`
      A `IZExplorerPropertyControlProvider` can be registered to add `Control`s to the corresponding `IZExplorerProperty`s.
      Specified by:
        `getControlProvider` in interface `IZExplorerPropertyProvider`
      Returns:
        a `IZExplorerPropertyControlProvider` that can handle the corresponding properties returned by `IZExplorerPropertyProvider.getProperties()`.

    - #### getProperties

          public java.util.List<IZExplorerProperty> getProperties()

      Description copied from interface: `IZExplorerPropertyProvider`
      Returns a list of `IZExplorerProperty`s. The `IZExplorerProperty`s can be used to set and get values from `IMvsSubsystem#getZExplorerPropertyValue(IZExplorerProperty)` / `IMvsSubsystem#setZExplorerPropertyValue(IZExplorerProperty, String)`
      Specified by:
        `getProperties` in interface `IZExplorerPropertyProvider`
      Returns:
        a `List` of `IZExplorerProperty`s.

Copyright © 2015 Micro Focus GmbH. All rights reserved.